curl --request GET \
--url 'https://webhook.cocoonmail.com/webhook/whatsapp_message/status?message_id={message_id}' \
--header 'Authorization: Bearer <token>'{
"message": "WhatsappMessage data fetched successfully",
"data": {
"uuid": "uuid",
"message_id": "wamid.placeholder-id",
"conversation_id": "conversation_id",
"direction": "outbound",
"msg_from": {
"id": "id",
"type": "transactional",
"display": "Transactional Message"
},
"type": "template",
"content": {
"to": "+910000000000",
"language": "en",
"template": "welcome_template",
"components": [
{ "type": "header", "parameters": [] },
{
"type": "body",
"parameters": [
{
"text": "John",
"type": "text",
"parameter_name": "contact_first_name"
},
{
"text": "john.doe@example.com",
"type": "text",
"parameter_name": "contact_email"
}
]
},
{ "type": "footer" }
]
},
"status": "sent",
"delivered": true,
"delivered_at": "2026-04-08T07:35:00.000Z",
"read": false,
"read_at": null,
"failed": false,
"failed_at": null,
"rejected": false,
"rejected_at": null,
"created": "2026-04-08T07:30:24.854706Z",
"updated": "2026-04-08T07:35:00.000Z",
"metadata": {},
"sent_at": "2026-04-08T07:30:25.000000Z",
"to": "+910000000000",
"contact": {
"id": 1234,
"email": "john.doe@example.com",
"name": "John Doe",
"first_name": "John",
"whatsapp_number": "+910000000000",
"is_whatsapp_unsubscribed": false
},
"transactional_audience": {
"uuid": "uuid",
"audience_uuid": "audience_uuid"
}
}
}
Get the delivery status and details for a specific transactional WhatsApp message.
curl --request GET \
--url 'https://webhook.cocoonmail.com/webhook/whatsapp_message/status?message_id={message_id}' \
--header 'Authorization: Bearer <token>'{
"message": "WhatsappMessage data fetched successfully",
"data": {
"uuid": "uuid",
"message_id": "wamid.placeholder-id",
"conversation_id": "conversation_id",
"direction": "outbound",
"msg_from": {
"id": "id",
"type": "transactional",
"display": "Transactional Message"
},
"type": "template",
"content": {
"to": "+910000000000",
"language": "en",
"template": "welcome_template",
"components": [
{ "type": "header", "parameters": [] },
{
"type": "body",
"parameters": [
{
"text": "John",
"type": "text",
"parameter_name": "contact_first_name"
},
{
"text": "john.doe@example.com",
"type": "text",
"parameter_name": "contact_email"
}
]
},
{ "type": "footer" }
]
},
"status": "sent",
"delivered": true,
"delivered_at": "2026-04-08T07:35:00.000Z",
"read": false,
"read_at": null,
"failed": false,
"failed_at": null,
"rejected": false,
"rejected_at": null,
"created": "2026-04-08T07:30:24.854706Z",
"updated": "2026-04-08T07:35:00.000Z",
"metadata": {},
"sent_at": "2026-04-08T07:30:25.000000Z",
"to": "+910000000000",
"contact": {
"id": 1234,
"email": "john.doe@example.com",
"name": "John Doe",
"first_name": "John",
"whatsapp_number": "+910000000000",
"is_whatsapp_unsubscribed": false
},
"transactional_audience": {
"uuid": "uuid",
"audience_uuid": "audience_uuid"
}
}
}
| Name | In | Required | Description |
|---|---|---|---|
| message_id | query | Yes | Unique identifier of the message |
| Status Code | Description |
|---|---|
| 200 | WhatsappMessage data fetched successfully |
| 400 | Bad request (invalid message_id format) |
| 401 | Authentication required |
| 500 | Internal server error |
{
"message": "WhatsappMessage data fetched successfully",
"data": {
"uuid": "uuid",
"message_id": "wamid.placeholder-id",
"conversation_id": "conversation_id",
"direction": "outbound",
"msg_from": {
"id": "id",
"type": "transactional",
"display": "Transactional Message"
},
"type": "template",
"content": {
"to": "+910000000000",
"language": "en",
"template": "welcome_template",
"components": [
{ "type": "header", "parameters": [] },
{
"type": "body",
"parameters": [
{
"text": "John",
"type": "text",
"parameter_name": "contact_first_name"
},
{
"text": "john.doe@example.com",
"type": "text",
"parameter_name": "contact_email"
}
]
},
{ "type": "footer" }
]
},
"status": "sent",
"delivered": true,
"delivered_at": "2026-04-08T07:35:00.000Z",
"read": false,
"read_at": null,
"failed": false,
"failed_at": null,
"rejected": false,
"rejected_at": null,
"created": "2026-04-08T07:30:24.854706Z",
"updated": "2026-04-08T07:35:00.000Z",
"metadata": {},
"sent_at": "2026-04-08T07:30:25.000000Z",
"to": "+910000000000",
"contact": {
"id": 1234,
"email": "john.doe@example.com",
"name": "John Doe",
"first_name": "John",
"whatsapp_number": "+910000000000",
"is_whatsapp_unsubscribed": false
},
"transactional_audience": {
"uuid": "uuid",
"audience_uuid": "audience_uuid"
}
}
}
Use your API key with the 'Bearer ' prefix